%{?nodejs_find_provides_and_requires}

%global packagename resolve-pkg

# tests disabled due to missing npm(ava) test suite
%global enable_tests 0

Name:		nodejs-resolve-pkg
Version:	1.0.0
Release:	2%{?dist}
Summary:	Resolve the path of a package regardless of it having an entry

License:	MIT
URL:		https://github.com/sindresorhus/resolve-pkg
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/resolve-pkg/v%{version}/test.js
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(resolve-from)

%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Resolve the path of a package regardless of it having an entry


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep resolve-from

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 03 2017 Parag Nemade <pnemade AT fedoraproject DOT org> - 1.0.0-1
- Update to 1.0.0 version
- Added nodejs_fixdep on npm(resolve-from)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jul 27 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
